package cn.com.poc.thirdparty.resource.demand.ai.function;

import cn.com.poc.common.service.RedisService;
import cn.com.poc.common.utils.BlContext;
import cn.hutool.json.JSONObject;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class ExecuteSetValueMemoryFunction implements AbstractExecuteLargeModelFunction{
    @Resource
    private RedisService redisService;

    @Override
    public String doMemoryFunction(String content, String useStatus, Boolean isLongMemory) {
        // todo 执行保存变量的操作
        // 创建 JSONObject 对象
        JSONObject jsonObject = new JSONObject(content);
        // 提取 contentName 和 contentValue
        String contentName = jsonObject.getStr("contentName");
        String contentValue = jsonObject.getStr("contentValue");
        String key = useStatus + ":" + BlContext.getCurrentUserNotException().getUserId().toString() + ":" + contentName;
        redisService.set(key, contentValue);
        return "SUCCESS";
    }
}
